Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.feeds.folders.controls
Class FeedFoldersControlImpl

    java.lang.Object
      com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl<T,Folder>
          com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl<T>
              com.bea.apps.groupspace.controls.generic.CM_ControlImpl<FeedFolder>
                  com.bea.apps.groupspace.feeds.folders.controls.FeedFoldersControlImpl

All Implemented Interfaces
  CM_Control<FeedFolder>, ContentControlBase<FeedFolder,Folder>, GroupSpaceContentControl<FeedFolder>, FeedFoldersControl, Serializable

    public class FeedFoldersControlImpl

extends CM_ControlImpl<FeedFolder>
implements FeedFoldersControl, Serializable

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.feeds.folders.controls.FeedFoldersControl
`FeedFoldersControl.Properties`

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Field Summary

Fields inherited from class com.bea.apps.groupspace.controls.generic.CM_ControlImpl
`ccCmxControl, folderControl, topNode, topNodeName`

Fields inherited from class com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl
`ALL_TYPES, contentContext`

Fields inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`beanClass, contentFactory, DEFAULT_SEARCH_LOAD_SIZE, nodeManager, objectClassType, repoID, repoName, searchManager, typeManager`

Constructor Summary
`FeedFoldersControlImpl()`

Method Summary
`FeedFolder` | `create(String title, String description, CommunityContent.Visibility visibility, String author, String link, String url, Calendar publicationDate, String language, String imageUrl, long retentionPeriod)` This one creates a FeedFolder in the default folder
`FeedFolder` | `create(String title, String description, CommunityContent.Visibility visibility, String author, String link, String url, Calendar publicationDate, String language, String imageUrl, long retentionPeriod, Folder parentFolder)` Create a FeedFolder in a specified Folder.
`FeedFolder` | `create(String title, String description, String url)` This one creates the FeedFolder below the default folder with a default visibility.
`protected FeedFolder` | `createObject(Node node)` We're creating Issues from a Node
`ObjectClass` | `createType()`
`FeedFolder` | `findByUrl(String url)`
`FeedFolder` | `findByUrl(String url, CommunityContent.Visibility visibility)`
`SortableFilterablePagedResult<FeedFolder>` | `getAllFeeds(CommunityContent.Visibility visibility)`
`Folder` | `getDefaultFolder(CommunityContent.Visibility visibility)` Determines whether the default folder is the user's personal folder or the top content folder
`CommunityContent.Visibility` | `getDefaultVisibility()`
`protected String` | `getFolderContentType()`
`protected String` | `getSearchRoot(CommunityContent.Visibility visibility)`
`void` | `onCreate()` Put any other init params here.
`FeedFolder` | `removeByUrl(String url)`
`FeedFolder` | `removeByUrl(String url, CommunityContent.Visibility visibility)`
`void` | `setDefaultVisibility(CommunityContent.Visibility visibility)`

Methods inherited from class com.bea.apps.groupspace.controls.generic.CM_ControlImpl
`createFolder, getCommunityFolderNode, getFolderByExpression, getPersonalContentFolder, getTopNode, getUserFolder`

Methods inherited from class com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl
`asSet, createFolder, findByDescription, findById, findByTitle, findContentById, findMany, getAll, getAllNodes, getCommunity, getCommunityAndPrivate, getCommunityFolder, getFolder, getImmediateChildrenAsPagedResult, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, move, promoteToCommunity, remove, removeAll, removeCommunityAndPrivate, removePersonal, removePrivate, update`

Methods inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`createObjectClass, createObjects, createObjects, findMany, findManyChildren, getAllChildren, getAllPropertyDefinitions, getDefaultStringValue, getImmediateChildren, getImmediateChildren, getObjectClass, getTopFolder, move, recurseRepository, remove, remove, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Constructor Detail

### FeedFoldersControlImpl

    public FeedFoldersControlImpl()

Method Detail

### getDefaultFolder

    public Folder getDefaultFolder(CommunityContent.Visibility visibility)
                            throws InstantiationException,
                                   IllegalAccessException,
                                   InvocationTargetException,
                                   com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                   AuthenticationException,
                                   AuthorizationException,
                                   NoSuchNodeException,
                                   RepositoryException

  Description copied from class: `CM_ControlImpl`
  Determines whether the default folder is the user's personal folder or the top content folder

  Specified by:
    `getDefaultFolder` in interface `FeedFoldersControl`
  Overrides:
    `getDefaultFolder` in class `CM_ControlImpl<FeedFolder>`
  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### create

    public FeedFolder create(String title,
                             String description,
                             String url)
                      throws Exception

  This one creates the FeedFolder below the default folder with a default visibility.

  Specified by:
    `create` in interface `FeedFoldersControl`
  Throws
    `Exception`

### create

    public FeedFolder create(String title,
                             String description,
                             CommunityContent.Visibility visibility,
                             String author,
                             String link,
                             String url,
                             Calendar publicationDate,
                             String language,
                             String imageUrl,
                             long retentionPeriod)
                      throws Exception

  This one creates a FeedFolder in the default folder

  Specified by:
    `create` in interface `FeedFoldersControl`
  Throws
    `Exception`

### create

    public FeedFolder create(String title,
                             String description,
                             CommunityContent.Visibility visibility,
                             String author,
                             String link,
                             String url,
                             Calendar publicationDate,
                             String language,
                             String imageUrl,
                             long retentionPeriod,
                             Folder parentFolder)
                      throws Exception

  Create a FeedFolder in a specified Folder.

  Specified by:
    `create` in interface `FeedFoldersControl`
    `parentFolder` - This is only relevant for Community and Private visibilities
  Returns
    new Folder
  Throws
    `Exception`

### createType

    public ObjectClass createType()
                           throws NoSuchNodeException,
                                  RepositoryException,
                                  AuthorizationException

  Specified by:
    `createType` in class `ContentControlBaseImpl<FeedFolder,Folder>`
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### findByUrl

    public FeedFolder findByUrl(String url)

  Specified by:
    `findByUrl` in interface `FeedFoldersControl`

### findByUrl

    public FeedFolder findByUrl(String url,
                                CommunityContent.Visibility visibility)

  Specified by:
    `findByUrl` in interface `FeedFoldersControl`

### removeByUrl

    public FeedFolder removeByUrl(String url)

  Specified by:
    `removeByUrl` in interface `FeedFoldersControl`

### removeByUrl

    public FeedFolder removeByUrl(String url,
                                  CommunityContent.Visibility visibility)

  Specified by:
    `removeByUrl` in interface `FeedFoldersControl`

### getAllFeeds

    public SortableFilterablePagedResult<FeedFolder> getAllFeeds(CommunityContent.Visibility visibility)
                                                          throws Exception

  Specified by:
    `getAllFeeds` in interface `FeedFoldersControl`
  Throws
    `Exception`

### getSearchRoot

    protected String getSearchRoot(CommunityContent.Visibility visibility)

### setDefaultVisibility

    public void setDefaultVisibility(CommunityContent.Visibility visibility)

  Specified by:
    `setDefaultVisibility` in interface `FeedFoldersControl`

### getDefaultVisibility

    public CommunityContent.Visibility getDefaultVisibility()

  Specified by:
    `getDefaultVisibility` in interface `FeedFoldersControl`

### getFolderContentType

    protected String getFolderContentType()

### createObject

    protected FeedFolder createObject(Node node)

  We're creating Issues from a Node

  Specified by:
    `createObject` in class `ContentControlBaseImpl<FeedFolder,Folder>`

### onCreate

    public void onCreate()
                  throws org.apache.beehive.controls.api.ControlException

  Put any other init params here. Note they can go on the control interface annotations. See the CM_Control.java file for an example of declaring parameters, and the CM_ControlImpl.jcs file for accessing those parameters

  Overrides:
    `onCreate` in class `CM_ControlImpl<FeedFolder>`
  Throws
    `org.apache.beehive.controls.api.ControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved